Subject: Ticket Assigned - Returned the Giordano watch ( No response)
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 26 Dec 2020 08:03:44 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returned the Giordano watch ( No response) Greetings,

I have ordered a Giordano watch ,Giordano Men's Black Chronograph Leather
Strap Watch GD-1094-02, whose Order is # 6241287190. After receiving I
found that the watch was not matching  with what was shown on your website
and it had some marks or scratches on the lugs and the colour was also
different, so I returned it.

Till now i haven't got any response from you.

Now please refund my money or replace the new watch as shown on your
website.

Thanks and regards,

Sultan,

Mobile # : 0563125277

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1919670